
.hero {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    position: relative;
    height: 450px;
    background: url("hero.jpg") center/cover no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: height 0.5s ease;
    overflow: hidden;
}

.hero.collapsed {
    height: 0px;
}

.hero-content {
    width: 100%;
    display: flex;
    justify-content: center;
}

.info-wrapper {
    display: flex;
    gap: 2rem;
}

.info-box {
    background: #fff;
    padding: 1.2rem 1.8rem;
    border-radius: 50px;
    display: flex;
    align-items: center;
    gap: 1rem;
    max-width: 350px;
    color:#000;
    font-weight:bold;
    box-shadow: 0 8px 20px rgba(0,0,0,0.15);
}

.info-box p {
    font-weight: 600;
    font-size: 1rem;
    padding:0;
    margin:0;
}

.icon {
    min-width: 32px;
    min-height: 32px;
    max-width:32px;
    max-height:32px;
    border: 2px solid #e30613;
    border-radius: 50%;
    color: #e30613;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
}

.toggle-btn {
    padding-top:10px;
    position: absolute;
    bottom: 0px;
    right: 20px;
    width: 60px;
    height: 40px;
    background: #fff;
    border: none;
    border-radius: 10px 10px 0 0;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;

    box-shadow:
    0 2px 6px rgba(0, 0, 0, 0.15),
    0 1px 2px rgba(0, 0, 0, 0.1);

    transition: background 0.2s ease, transform 0.3s ease;
}

.rotated {
    padding-top:unset;
    bottom:-30px;
}

.toggle-btn:hover {
    background: #e8e8e8;
}

.chevron {
    all: unset;
    width: 14px;
    height: 14px;
    border-right: 3px solid #333;
    border-top: 3px solid #333;
    transform: rotate(-45deg);
    transition: transform 0.3s ease;
}

.open-btn .chevron {
    transform: rotate(135deg);
    padding-top:unset;
    border-color:#fff;
    margin-top:-10px;
}

.hero.collapsed .chevron {
    transform: rotate(135deg);
}

@media (max-width: 1024px) {
    .info-wrapper {
    flex-direction: column;
    align-items: center;
    }
}


.open-btn {
    all: unset;
    position: absolute;
    right: -10px;
    transform: translateX(-50%);
    width: 60px;
    height: 40px;
    background: #000;
    padding: 10px 20px;
    color: #fff;
    cursor: pointer;
    transition: top 0.4s ease, opacity 0.5s ease;
    opacity: 0;
    z-index: 1000;
    padding-top:10px;
    border: none;
    border-radius: 0 0 10px 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow:
    0 2px 6px rgba(0, 0, 0, 0.15),
    0 1px 2px rgba(0, 0, 0, 0.1);
}

.open-btn.visible {
top: 0px;
opacity: 1;
}
